Bug 181293 - sound-juicer fails to build in rawhide
sound-juicer fails to build in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sound-juicer (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks: mbt3blocker
  Show dependency treegraph
 
Reported: 2006-02-12 17:25 EST by Jesse Keating
Modified: 2013-03-13 00:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 16:11:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2006-02-12 17:25:39 EST
Please see
http://porkchop.redhat.com/beehive/logs/sound-juicer-705365-x86_64-ls20-bc2-14.build.redhat.com.log

if x86_64-redhat-linux-gcc -DHAVE_CONFIG_H -I. -I. -I. 
-DGNOMELOCALEDIR=\""/usr/share/locale"\" -DDATADIR=\""/usr/share"\"
-DPREFIX=\""/usr"\" -DLIBDIR=\""/usr/lib64"\" -DSYSCONFDIR=\""/etc"\"
-DPIXMAPDIR=\""/usr/share/pixmaps"\" -DPKGDATADIR=\""/usr/share/sound-juicer"\"
-pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0
-I/usr/lib64/glib-2.0/include -I/usr/include/libxml2 -DORBIT2=1 -pthread
-I/usr/include/gnome-media -I/usr/include/gconf/2 -I/usr/include/gtk-2.0
-I/usr/include/libglade-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/orbit-2.0
-I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include
-I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo
-I/usr/include/pango-1.0 -I/usr/include/libxml2 -I/usr/include/libbonobo-2.0
-I/usr/include/gnome-vfs-2.0 -I/usr/lib64/gnome-vfs-2.0/include
-I/usr/include/bonobo-activation-2.0   -I/usr/include/libnautilus-burn
-I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gtk-2.0
-I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo
-I/usr/include/pango-1.0   -DORBIT2=1 -pthread -I/usr/include/gtk-2.0
-I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo
-I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include
-I/usr/include/libglade-2.0 -I/usr/include/libxml2 -I/usr/include/gconf/2
-I/usr/include/orbit-2.0 -I/usr/include/libgnomeui-2.0
-I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0
-I/usr/include/libart-2.0 -I/usr/include/libbonoboui-2.0
-I/usr/include/gnome-vfs-2.0 -I/usr/lib64/gnome-vfs-2.0/include
-I/usr/include/gnome-keyring-1 -I/usr/include/libbonobo-2.0
-I/usr/include/bonobo-activation-2.0 -I/usr/include/freetype2
-I/usr/include/gnome-vfs-module-2.0 -Wl,--export-dynamic  -export-dynamic -O2 -g
-pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -MT sj-extractor.o -MD -MP -MF
".deps/sj-extractor.Tpo" -c -o sj-extractor.o sj-extractor.c; \
then mv -f ".deps/sj-extractor.Tpo" ".deps/sj-extractor.Po"; else rm -f
".deps/sj-extractor.Tpo"; exit 1; fi
sj-extractor.c:213: error: static declaration of 'gst_bin_find_unconnected_pad'
follows non-static declaration
/usr/include/gstreamer-0.10/gst/gstutils.h:571: error: previous declaration of
'gst_bin_find_unconnected_pad' was here
make[2]: *** [sj-extractor.o] Error 1
make[2]: Leaving directory
`/usr/src/build/706160-x86_64/BUILD/sound-juicer-2.13.4/src'
make[1]: *** [all] Error 2
make[1]: Leaving directory
`/usr/src/build/706160-x86_64/BUILD/sound-juicer-2.13.4/src'
make: *** [all-recursive] Error 1
Comment 1 Matthias Clasen 2006-02-15 16:11:59 EST
I have rebuild sound-juicer sucessfully after this...

Note You need to log in before you can comment on or make changes to this bug.